petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPartitioningChacoSetEigenSolver

Set eigensolver method for Chaco partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenSolver(MatPartitioning part,MPChacoEigenType method)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| method | - one of MP_CHACO_LANCZOS or MP_CHACO_RQI

### Options Database

-mat_partitioning_chaco_eigen_solver <method> -the eigensolver

### Notes

The default is to use a Lanczos method. See Chaco documentation for details.

### See Also

MatPartitioningChacoSetEigenTol(),MatPartitioningChacoSetEigenNumber(),
MatPartitioningChacoGetEigenSolver()

Level:advanced
Location:src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages